Bug 810530 - PackageKit locks out yum way too often & for too long
PackageKit locks out yum way too often & for too long
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Reopened
: 812668 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 10:31 EDT by Karel Volný
Modified: 2014-04-24 14:28 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 15:52:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-04-06 10:31:33 EDT
Description of problem:
trying to do anything with yum except for "yum --help", chances are that yum tells you that there is /var/run/yum.pid lock and you have to wait for five minutes until it is freed, then another three minutes as it is grabbed again immediately *before* the yum command you've just run from console is able get the lock for itself, then for another four minutes ... and maybe, if you are lucky, your yum command will get executed just before you download & burn  install media for another distro that doesn't use yum

note that I haven't noticed this problem before - I've run into it occassionally  in the past, however since a few weeks ago (around F17 Alpha release) this happens nearly all the time I'm trying to use yum & also it takes much much longer until the lock is freed


Version-Release number of selected component (if applicable):
PackageKit-0.6.21-2.fc16.x86_64

How reproducible:
three of four cases

Steps to Reproduce:
1. try to use yum a few times a day

  
Actual results:
# yum install linphone
Zavedené moduly: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Existující zámek /var/run/yum.pid: jiná kopie běží s pid 8734.
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:27
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:29
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:31
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:33
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:35
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:37
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:39
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:41
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:43
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:45
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:47
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:49
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:51
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:53
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:55
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:57
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 01:59
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:01
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:03
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:05
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:07
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:09
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:11
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:13
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:15
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:17
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:19
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:21
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:23
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:25
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:27
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 133 M RSS (458 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:29
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 140 M RSS (466 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:31
    Stav   : Běží, pid: 8734
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  : 143 M RSS (469 MB VSZ)
    Spuštěn: Fri Apr  6 16:12:40 2012 - před 02:33
    Stav   : Běží, pid: 8734
Řešení závislostí...
--> Kontrola transakce spuštěna
---> Balíček linphone.x86_64 0:3.5.0-2.fc16 bude instalován
...


Expected results:
# yum install linphone
Zavedené moduly: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Řešení závislostí...
--> Kontrola transakce spuštěna
---> Balíček linphone.x86_64 0:3.5.0-2.fc16 bude instalován
...


Additional info:
Comment 1 Karel Volný 2012-04-10 15:48:54 EDT
yum upgrade

...


    Memory :  26 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:11 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  26 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:13 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  26 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:15 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  26 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:17 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  26 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:19 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  26 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:21 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  26 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:23 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  27 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:25 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  27 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:27 ago
    State  : Uninterruptible, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  27 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:29 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  27 M RSS (428 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:31 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  32 M RSS (433 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:33 ago
    State  : Running, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:35 ago
    State  : Running, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:37 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:39 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:41 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:43 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:45 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:47 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:49 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:51 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:53 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:55 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:57 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 03:59 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:01 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:03 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:05 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:07 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:09 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:11 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:13 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:15 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:17 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:19 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:21 ago
    State  : Sleeping, pid: 1607
^TAnother app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:23 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:25 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:27 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:29 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:31 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:33 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:35 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:37 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:39 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:41 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:43 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:45 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:47 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:49 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:51 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:53 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:55 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:57 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 04:59 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:01 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:03 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:05 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:07 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:09 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:11 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:13 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:15 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:17 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:19 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:21 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:23 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:25 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:27 ago
    State  : Running, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:29 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:31 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:33 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:35 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:37 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:39 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:41 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:43 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:45 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:47 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:49 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:51 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:53 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:55 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:57 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 05:59 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:01 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:03 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:05 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:07 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:09 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:11 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:13 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:15 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:17 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:19 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:21 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:23 ago
    State  : Running, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:25 ago
    State  : Running, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:27 ago
    State  : Running, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:29 ago
    State  : Uninterruptible, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:31 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:33 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:35 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:37 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:39 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:41 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:43 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:45 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:47 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:49 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:51 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:53 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:55 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:57 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 06:59 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:01 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:03 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:06 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:08 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:10 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:12 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:14 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:16 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:18 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:20 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:22 ago
    State  : Sleeping, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:24 ago
    State  : Running, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (448 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:26 ago
    State  : Running, pid: 1607
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  56 M RSS (457 MB VSZ)
    Started: Tue Apr 10 21:36:56 2012 - 07:28 ago
    State  : Uninterruptible, pid: 1607
Existing lock /var/run/yum.pid: another copy is running as pid 1858.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  27 M RSS (354 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:02 ago
    State  : Uninterruptible, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  30 M RSS (357 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:04 ago
    State  : Uninterruptible, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  32 M RSS (359 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:06 ago
    State  : Uninterruptible, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  38 M RSS (366 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:08 ago
    State  : Uninterruptible, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  40 M RSS (368 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:10 ago
    State  : Uninterruptible, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  55 M RSS (381 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:12 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:14 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:16 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:18 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:20 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:22 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:24 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:26 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:28 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:30 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:32 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:34 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:36 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:38 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:40 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:42 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:44 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:46 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:48 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:50 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:52 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:54 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:56 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 00:58 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:00 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:02 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:04 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:06 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:08 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:10 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:12 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:14 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:16 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:18 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:20 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:22 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:24 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:26 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:28 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:30 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:32 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:34 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:36 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:38 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:40 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:42 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:44 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:46 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:48 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:50 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:52 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:54 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:56 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 01:58 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:00 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:02 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:04 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:06 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:08 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:10 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:12 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:14 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:16 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:18 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:20 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:22 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:24 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 127 M RSS (453 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:26 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 131 M RSS (458 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:28 ago
    State  : Uninterruptible, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 142 M RSS (469 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:30 ago
    State  : Uninterruptible, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 142 M RSS (469 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:32 ago
    State  : Running, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 144 M RSS (471 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:34 ago
    State  : Sleeping, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 143 M RSS (468 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:36 ago
    State  : Sleeping, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 143 M RSS (468 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:38 ago
    State  : Sleeping, pid: 1858
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 143 M RSS (468 MB VSZ)
    Started: Tue Apr 10 21:44:24 2012 - 02:40 ago
    State  : Sleeping, pid: 1858
Existing lock /var/run/yum.pid: another copy is running as pid 1870.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  42 M RSS (368 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:02 ago
    State  : Running, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 103 M RSS (502 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:04 ago
    State  : Running, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 105 M RSS (505 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:06 ago
    State  : Sleeping, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 105 M RSS (505 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:08 ago
    State  : Sleeping, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 105 M RSS (505 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:10 ago
    State  : Sleeping, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 105 M RSS (505 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:12 ago
    State  : Sleeping, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 105 M RSS (505 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:14 ago
    State  : Sleeping, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 105 M RSS (505 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:16 ago
    State  : Sleeping, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 110 M RSS (510 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:18 ago
    State  : Running, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 107 M RSS (507 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:20 ago
    State  : Sleeping, pid: 1870
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory : 107 M RSS (507 MB VSZ)
    Started: Tue Apr 10 21:47:04 2012 - 00:22 ago
    State  : Sleeping, pid: 1870
fedora-debuginfo/metalink                                                                                                                        |  12 kB     00:00     
fedora-debuginfo                                                                                                                                 | 3.1 kB     00:00     
fedora-debuginfo/primary_db                                                                                                                      | 1.6 MB     00:01     
rpmfusion-free-rawhide-debuginfo                                                                                                                 | 2.7 kB     00:00     
rpmfusion-nonfree-debuginfo                                                                                                                      | 2.7 kB     00:00     
rpmfusion-nonfree-updates-debuginfo                                                                                                              | 1.2 kB     00:00     
updates-debuginfo/metalink                                                                                                                       |  22 kB     00:00     
updates-testing-debuginfo/metalink                                                                                                               |  17 kB     00:00     
updates-testing-debuginfo                                                                                                                        | 3.1 kB     00:00     
updates-testing-debuginfo/primary_db                                                                                                             | 451 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package ClanLib.x86_64 0:2.3.6-1.fc17 will be updated
---> Package ClanLib.x86_64 0:2.3.6-2.fc17 will be an update
...
Comment 2 Kamil Páral 2012-04-13 09:26:13 EDT
This is really happening way too often in F17. There needs to be some sort of communication between yum and packagekit. The background tasks should be delayed/aborted and the user requested action should get top priority.
Comment 3 Dan Mashal 2012-04-15 16:18:15 EDT
Proposing this a final blocker in bug 812668.

https://bugzilla.redhat.com/show_bug.cgi?id=812668
Comment 4 Dan Mashal 2012-04-15 16:18:34 EDT

*** This bug has been marked as a duplicate of bug 812668 ***
Comment 5 Adam Williamson 2012-04-18 22:35:39 EDT
Why would you make the earlier filed bug a dupe of your later filed bug, which adds no useful information (in fact there seems to be more useful information here)? Reversing.
Comment 6 Adam Williamson 2012-04-18 22:36:09 EDT
*** Bug 812668 has been marked as a duplicate of this bug. ***
Comment 7 Adam Williamson 2012-04-18 22:37:40 EDT
Dan proposed the dupe as a Final blocker, so move that nomination here.
Comment 8 Dan Mashal 2012-04-19 02:02:16 EDT
Just figured I would create a new bug and link all of them in one place and this was opened on 16, not 17 so I thought getting it fixed in 17 it would trickle down.

Thanks for your help and input, Adam.
Comment 9 Adam Williamson 2012-04-20 13:41:32 EDT
Discussed at 2012-04-20 blocker review meeting - http://meetbot.fedoraproject.org/fedora-bugzappers/2012-04-20/fedora-bugzappers.2012-04-20-17.01.log.txt . Agreed that while this issue can be annoying, it doesn't seem to hit any of the release criteria. It can also very likely be addressed with a post-release update. Therefore it's rejected as a blocker and as NTH.
Comment 10 Adam Williamson 2012-04-20 13:42:36 EDT
A thought - could the automatic security updates be the cause of this? Since the Beta repos have been frozen for like a month, there are a large number of security updates queued up in updates-testing, and shortly after any install of Beta, a PackageKit process will be kicking in to auto-install those. Could that be what most reporters are seeing?
Comment 11 Stijn Hoop 2012-04-20 18:23:44 EDT
It's not just after install. I'm seeing it on my already installed F17-Beta too. I don't mind waiting ~20 seconds (even though that is long already) but it's getting in the minutes.

Is there a log that we can check?
Comment 12 cornel panceac 2012-05-05 03:42:51 EDT
Richard Hughes proposed monitoring the process with pkmon. Unfortunately i was no longer able to reproduce it.
Comment 13 Adam Williamson 2012-05-29 00:12:44 EDT
Is anyone seeing this any more? Reports seem to have tailed off. I rather suspect it's the automatic update, as mentioned in comment #10, since reports have tailed off since we disabled that.

I'm commenting out the commonbugs entry for now, until we have more definite info on this.
Comment 14 collura 2012-05-29 00:55:53 EDT
i see it often when i multitask,
but probably i have non-standard use:

   yum clean all
   start update gui and let it do its checking
   start a terminal window and run yum from command line 
     to check on what versions of a package are available
     for example 'yum list kernel-*'
   start packagekit gui and search for some program or other by name

lots of timeouts while they fight it out, ugh.
Comment 15 Adam Williamson 2012-05-29 01:04:11 EDT
Well, that's not a bug. That's just what's _supposed_ to happen. That's why there's a lock in the first place. They can't all run at once.
Comment 16 collura 2012-05-29 01:28:50 EDT
yeah thats why i included the 'non-standard' bit :')
(still have to add multitask to my wishlist lol)

may have seem the actual error once
but multitask yum is about the only time i get the timeouts 
so agree that it works for me :')
Comment 17 Mads Kiilerich 2012-05-29 04:52:16 EDT
I have seen indications that the locking might be related to checking for version upgrades (preupgrades).

- and it is possible that it is by design that multiple readers will lock each other out, but that would be a unfortunate design (aka usability bug). A lock preventing multiple simultaneous updates is fine, but multiple readers (and thus cache updaters) shouldn't be a problem.
Comment 18 Karel Volný 2012-05-29 06:37:37 EDT
(In reply to comment #17)
> - and it is possible that it is by design that multiple readers will lock
> each other out, but that would be a unfortunate design (aka usability bug).
> A lock preventing multiple simultaneous updates is fine, but multiple
> readers (and thus cache updaters) shouldn't be a problem.

+1; and in addition, user action should take precedence, i.e. it shouldn't happen that after freeing the lock it is grabbed by another background task while the user is waiting for the command which is waiting for the lock

... ah, now I see Kamil mentioned this in comment #2

(In reply to comment #13)
> Is anyone seeing this any more?

no, now the problem is rare

> Reports seem to have tailed off. I rather
> suspect it's the automatic update, as mentioned in comment #10, since
> reports have tailed off since we disabled that.

hm, as for the automatic updates, I'm really not sure - if I get it right, you mean that package installation happened in the background while I was waiting for the lock?

- no, it wasn't the case for me if I recall correctly (no big disk activity like when running "rpm -U", and no rpm running, just the packagekit/yum)

but even if the updates were the culprit, there are still the two abovementioned things to fix -

1) allow read operations without needing the lock

2) priorities in grabbing the lock
Comment 19 Stijn Hoop 2012-05-29 07:51:53 EDT
It has dropped off for me as well -- but note that I did not re-enable updates-testing for f17, so the actual amount of updates has been exactly 0 for over a week now. I presume that checking for 'any update' when there are none is simply faster than when there are.
Comment 20 Adam Williamson 2012-05-29 11:41:39 EDT
Karel: In F16 and in F17 up till quite late, PK was set to automatically install security updates when it found them. One consequence was that it would check for updates and then install a big chunk of security updates quite soon after first boot, which I suspect was the cause of quite a lot of these reports - people installed, booted up, ran 'yum install myfavouritetool' a few minutes later, and found they were locked out by the auto-security-update.
Comment 21 Karel Volný 2012-05-30 03:46:08 EDT
(In reply to comment #20)
> ... after first boot ...

not my case, it was happenning on fully updated system, even after a few reboots, even several hours after booting up ...
Comment 22 Dan Mashal 2012-05-30 06:25:17 EDT
On a fresh brand new boot/install run yum update and it happens.
Comment 23 Adam Williamson 2012-05-30 21:27:58 EDT
Again, the appearance of the lock _is not a bug in and of itself_. I mean, it's a _lock_. It's meant to lock stuff. That's fine.

The (possible) bug was that it was (allegedly) happening far more than it used to, without any apparent justification.

After you do a fresh install, PK will quite soon check for updates. This will take some minutes, because it will have to download the initial repodata for each repository, which is quite large. So it's perfectly expected and normal for the lock to be in place shortly after install for several minutes. Unless it's happening persistently, for like 20-30 minutes or something, that's not a bug.
Comment 24 Dan Mashal 2012-05-30 21:39:09 EDT
Yes that's exactly what's happening. If this is not a bug then the message you get is a bug. It should tell you why you cannot run yum update right now.

OR Package kit shouldn't be running right after install.

Does anybody really use Gnome to install updates? Everyone uses yum.

Pick one, package kit or yum, either edit the message or don't have package kit search for updates after install/boot.

It's annoying.
Comment 25 Adam Williamson 2012-05-30 21:49:14 EDT
"Yes that's exactly what's happening. If this is not a bug then the message you get is a bug. It should tell you why you cannot run yum update right now."

Well, um, no. You could say that, in theory, it could notify you more smartly, but that's just saying 'things are not perfect'. Well, nothing's perfect. If you call all areas in which software design has not attained perfection 'bugs', you're going to overload every Bugzilla installation on earth, for a start. ;)

"OR Package kit shouldn't be running right after install."

It runs a somewhat-random (but quite short) time after install. It's quite important to notify people who have just installed that updates are available, as some of them will almost certainly be security updates.

"Does anybody really use Gnome to install updates?"

Yes.

"Everyone uses yum."

No, they don't. Really. We get enough bug reports when PK breaks to be entirely clear on this point.

"Pick one, package kit or yum, either edit the message or don't have package kit search for updates after install/boot."

It's a generic message. You can't simply 'edit the message' because then it wouldn't be correct in any other circumstance it happened to be displayed. The message simply states that another application is holding the lock. If you want to display a more specific message like "The system is checking whether updates are available", you'd _also_ need to write some logic to know when the application holding the lock is PackageKit and the operation it's engaged upon is checking whether updates are available, and to display the specific message only in that case. That's rather a lot more work than just editing the message.
Comment 26 Dan Mashal 2012-05-30 21:54:08 EDT
I'm not going to even reply to every paragraph.

I'll make it short and sweet.

1) First thing I do when I install Fedora:

"yum update -y"

I don't want to get annoying messages about PackageKit locks.

2) If QA/Engineering design "That's a feature by design", fine.

It should say "Please wait while automatic updates checks for updates press y if you would like to stop automatic updates."

Substitute "automatic updates" with PackageKit or whatever you want to call it.

Is that reasonable? Otherwise we can argue here for years.
Comment 27 Adam Williamson 2012-05-30 22:12:34 EDT
It's a reasonable feature request, sure. I'm just explaining that the fact it doesn't do that now isn't really a 'bug'; nothing is broken. There's a lock because those two things can't happen at the same time. The lock uses a generic message which applies to all possible situations where the lock may be invoked because it's a lot more work to write specific messages and lots of logic to determine which one to display. It is certainly _possible_ that someone might decide it's a worthwhile use of time to write a bunch of such messages and the necessary logic for displaying them, but the fact that no-one has yet is not really either this bug or _a_ bug. It's just something that didn't get done yet.
Comment 28 Dan Mashal 2012-05-30 23:50:55 EDT
*** Bug 756406 has been marked as a duplicate of this bug. ***
Comment 29 Dan Mashal 2012-05-31 00:19:45 EDT
*** Bug 745281 has been marked as a duplicate of this bug. ***
Comment 30 Adam Williamson 2012-05-31 01:50:52 EDT
Dan, the initial bug here was not filed by you and was not your complaint. My answer to your comments does not indicate that the bug should be closed, because my whole point is that you were _misunderstanding the report_. The report was about the lock being held for far too long by...something mysterious. You were complaining about either the fact of the lock's existence, or the informational message printed when the lock is in place. So the discussion you and I have had in the last few comments is not in fact related to the initial bug report here at all, and does not merit closing the bug.

I think this bug is probably WORKSFORME, but it would be best to give it a few more days for anyone else to respond first.
Comment 31 Dan Mashal 2012-05-31 01:52:28 EDT
bug opened 04/06/12 but ok
Comment 32 Adam Williamson 2012-05-31 02:03:13 EDT
The bug was opened then, but the change to disable automatic security updates was somewhat later, and I didn't explicitly ask for current feedback until yesterday.
Comment 33 Karel Volný 2012-05-31 05:02:35 EDT
(In reply to comment #30)
> I think this bug is probably WORKSFORME, but it would be best to give it a
> few more days for anyone else to respond first.

I think there is at least one thing worth fixing - the priorities

the process spawned in background should not be able to grab the lock when there is a foreground process waiting for freeing the previous lock

I've filed RFE bug #826906 for this


as for the rest - yesterday evening, I did some updating and installations on one system and I got a suspicion ...

I've run "yum upgrade" which pulled a lot of packages

while these were downloading, I've did some "yum search something" in parallel

what has surprised me was that yum started to download rpmfusion repositories info, while it was just a few tenths of seconds after starting the upgrade, so there was no need to update, as the expiry is ... don't know, half a day?

ok, so I thought that was a bad luck that I've just hit the expiry timeout and the info needed to be refreshed

in the mean time, I've run "yum install somepackage" - and now yum started refreshing all the Fedora repos ... now that was strange, so I went back to the first konsole where the upgrade was running, looked in the output history, and I've found that the Fedora repos were updated while running the upgrade - just a few minutes ago!

so it looks like there is some bug trigerring repo refreshes more often that it should be refreshed - which may lead to running the backround yum processes more often, thus locking out the user actions

(of course I got some lock conflicts while doing the abovementioned thing, but that was what I expected as I was running yum in parallel)

hm, one more thing, now I remember that I did "yum search" as a non-root user, if that matters

- unfortunately, I don't know how to reproduce the problem reliably
Comment 34 Shane 2012-06-02 15:32:39 EDT
I have a 2 day old install and when trying to install a package via yum I keep getting 
Existing lock /var/run/yum.pid: another copy is running as pid 1701.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum
    Memory :  21 M RSS (409 MB VSZ)
    Started: Sat Jun  2 12:19:25 2012 - 04:11 ago
    State  : Traced/Stopped, pid: 1701
I have waited over 15 minutes, powered down the system and waited and to no avail it persists.
Comment 35 Dan Mashal 2012-06-03 05:37:46 EDT
So Adam, is there a plan to fix this or what? Can't fix, won't fix, errata, next release or what?
Comment 36 Adam Williamson 2012-06-04 13:31:26 EDT
Dan: like I said, I'm still planning to close this bug as WORKSFORME, given the data received so far. Any of your concerns should be filed separately, they are not a part of this report.

Shane: that sounds like you somehow have a stuck yum process. What does 'ps aux | grep yum' show?
Comment 37 Dan Mashal 2012-06-04 20:39:54 EDT
Adam,

With all due respect for all the hard work that you do I have the following to say:

Not trying to be rude but multiple users are having this issue including myself.

Shane had a 2 day old install, multiple reboots came to #fedora on IRC with the issue and pointed him here and told him to paste his logs. 

So multiple users are complaining about something that annoys them that you are saying "WORKSFORME" and that's why I decided to use "WONTFIX" and closed the ticket a few days ago. It's either "WONTFIX" "CANTFIX" or in your case "WORKSFORME" I guess. 

Why haven't you closed it yet in that case?
Comment 38 Adam Williamson 2012-06-04 22:03:09 EDT
Dan: Shane's case is different from the original reports: his message says that the process holding the lock is yum. So he actually has some other yum instance lying around somewhere, gumming up the works.

If you look back to the earlier reports, they all show PackageKit as the process holding the lock.

It does sound odd that a yum process could somehow 'stay stuck' across reboots, though, so Shane might want to double-check the messages, if he still has a problem, and make sure they all identify yum as the culprit.

I don't want to be rude either, but please keep in mind that this is a _generic_ message. There are multiple things that can hold the yum lock, for different reasons. You can't assume that anyone who sees a yum lock message and complains about is a) seeing this bug or b) actually encountering a 'bug' at all. You have to look deeper into the reasons for the message.

it's still the case that since I posted comment #13 , no-one has reported that they are still experiencing the original issue as described.
Comment 39 Dan Mashal 2012-06-04 23:56:30 EDT
In troubleshooting with him on IRC it was PackageKit that was holding the lock.
Comment 40 Kamil Páral 2012-06-05 03:51:19 EDT
If yum chooses a very slow mirror to download metadata from, you can easily see PackageKit holding the lock for a very long time. This doesn't happen to me, but some people might not be so fortunate wrt to yum mirror selection. So this can happen quite easily.

Please note there are two things:
1. This yum-PackageKit lock problem in general -> that is still valid
2. A weird problem with F17 Alpha/Beta, when it used to happen extremely often -> that problem is now gone, even though we don't know what caused it during that period

So if you consider this bug report more relevant to problem #1, it should stay open, if more relevant to problem #2, it should be closed.
Comment 41 Dan Mashal 2012-06-05 04:17:35 EDT
@Kamil, 

Then why not install yum-plugin-fastestmirror by default then?
Comment 42 Dan Mashal 2012-06-05 04:18:43 EDT
And yes, #1 still valid, still open, my maint point here acknowledge the problem and put dontfix/cantfix. This is definitely NOT a "WORKSFORME".
Comment 43 Karel Volný 2012-06-05 08:06:42 EDT
(In reply to comment #38)
> it's still the case that since I posted comment #13 , no-one has reported
> that they are still experiencing the original issue as described.

ahem, while I talk about testing with yum in comment #33, I think the problem described in that comment makes sense also for PackageKit - especially after reading about metadata download (slow mirror issue) in comment #40

I think this _may_ be the original problem, which just surfaced more often during F17 Alpha/Beta, but unlike Kamil, I don't think it is "now gone", it just doesn't happen that often to notice for most of us - yes, it _may_ have been due to security updates mentioned in comment #20 (although these shouldn't be a problem on a fully updated system), but Shane's case which is _newer_ than "up till quite late" suggests that the security updates weren't the cause and that the original problem still exists
Comment 44 Dan Mashal 2012-06-05 12:41:18 EDT
Definitely 100% agree Karel.
Comment 45 Karel Volný 2012-06-25 08:59:40 EDT
still hitting this, although not that hard (not waiting for tenths of minutes ...) - I was doing some cleanup, see below how "well" it went

I wonder if the livna repo inaccessibility as you ccan see at the end may have to do something with this problem?



[root@kvolny ~]# yum remove gtkhtml2-2.11.1-11.fc15.x86_64
Zavedené moduly: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Řešení závislostí...
--> Kontrola transakce spuštěna
---> Balíček gtkhtml2.x86_64 0:2.11.1-11.fc15 bude smazán
--> Řešení závislostí dokončeno

Závislosti vyřešeny.

===============================================================================================================================================================================================================
 Package                                         Arch                                          Verze                                                   Repozitář                                          Vel.
===============================================================================================================================================================================================================
Odstraňuje se:
 gtkhtml2                                        x86_64                                        2.11.1-11.fc15                                          @fedora/15                                        763 k

Shrnutí transakce
===============================================================================================================================================================================================================
Remove  1 Package

Nainstalovaná velikost: 763 k
V pořádku [a/N]: a
Stahování balíčků:
Spuštěna kontrola transakce
Spuštěn test transakce
Test transakce v pořádku
Transakce spuštěna
  Odstranění : gtkhtml2-2.11.1-11.fc15.x86_64                                                                                                                                                              1/1 
  Verifying  : gtkhtml2-2.11.1-11.fc15.x86_64                                                                                                                                                              1/1 

Odstraněno:
  gtkhtml2.x86_64 0:2.11.1-11.fc15                                                                                                                                                                             

Hotovo!
[root@kvolny ~]# yum remove qzion-debuginfo-0.4.0-11.fc15.x86_64
Zavedené moduly: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Existující zámek /var/run/yum.pid: jiná kopie běží s pid 10345.
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  57 M RSS (459 MB VSZ)
    Spuštěn: Mon Jun 25 14:51:43 2012 - před 00:11
    Stav   : Běží, pid: 10345
Existující zámek /var/run/yum.pid: jiná kopie běží s pid 10355.
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  25 M RSS (427 MB VSZ)
    Spuštěn: Mon Jun 25 14:51:53 2012 - před 00:03
    Stav   : Spí, pid: 10355
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:51:53 2012 - před 00:05
    Stav   : Spí, pid: 10355
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:51:53 2012 - před 00:07
    Stav   : Spí, pid: 10355
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:51:53 2012 - před 00:09
    Stav   : Spí, pid: 10355
Řešení závislostí...
--> Kontrola transakce spuštěna
---> Balíček qzion-debuginfo.x86_64 0:0.4.0-11.fc15 bude smazán
--> Řešení závislostí dokončeno

Závislosti vyřešeny.

===============================================================================================================================================================================================================
 Package                                            Arch                                      Verze                                              Repozitář                                                Vel.
===============================================================================================================================================================================================================
Odstraňuje se:
 qzion-debuginfo                                    x86_64                                    0.4.0-11.fc15                                      @fedora-debuginfo/15                                    6.6 M

Shrnutí transakce
===============================================================================================================================================================================================================
Remove  1 Package

Nainstalovaná velikost: 6.6 M
V pořádku [a/N]: a
Stahování balíčků:
Spuštěna kontrola transakce
Spuštěn test transakce
Test transakce v pořádku
Transakce spuštěna
  Odstranění : qzion-debuginfo-0.4.0-11.fc15.x86_64                                                                                                                                                        1/1 
  Verifying  : qzion-debuginfo-0.4.0-11.fc15.x86_64                                                                                                                                                        1/1 

Odstraněno:
  qzion-debuginfo.x86_64 0:0.4.0-11.fc15                                                                                                                                                                       

Hotovo!
[root@kvolny ~]# yum remove gnome-speech-0.4.25-5.fc15.x86_64
Zavedené moduly: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Řešení závislostí...
--> Kontrola transakce spuštěna
---> Balíček gnome-speech.x86_64 0:0.4.25-5.fc15 bude smazán
--> Řešení závislostí dokončeno

Závislosti vyřešeny.

===============================================================================================================================================================================================================
 Package                                            Arch                                         Verze                                                  Repozitář                                         Vel.
===============================================================================================================================================================================================================
Odstraňuje se:
 gnome-speech                                       x86_64                                       0.4.25-5.fc15                                          @fedora/15                                       134 k

Shrnutí transakce
===============================================================================================================================================================================================================
Remove  1 Package

Nainstalovaná velikost: 134 k
V pořádku [a/N]: a
Stahování balíčků:
Spuštěna kontrola transakce
Spuštěn test transakce
Test transakce v pořádku
Transakce spuštěna
  Odstranění : gnome-speech-0.4.25-5.fc15.x86_64                                                                                                                                                           1/1 
  Verifying  : gnome-speech-0.4.25-5.fc15.x86_64                                                                                                                                                           1/1 

Odstraněno:
  gnome-speech.x86_64 0:0.4.25-5.fc15                                                                                                                                                                          

Hotovo!
[root@kvolny ~]# yum remove pino-0.3-0.3.20101112hg.fc15.x86_64 qedje-debuginfo-0.4.0-9.fc15.x86_64
Zavedené moduly: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Existující zámek /var/run/yum.pid: jiná kopie běží s pid 10376.
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:52:26 2012 - před 00:08
    Stav   : Spí, pid: 10376
Řešení závislostí...
--> Kontrola transakce spuštěna
---> Balíček pino.x86_64 0:0.3-0.3.20101112hg.fc15 bude smazán
---> Balíček qedje-debuginfo.x86_64 0:0.4.0-9.fc15 bude smazán
--> Řešení závislostí dokončeno

Závislosti vyřešeny.

===============================================================================================================================================================================================================
 Package                                          Arch                                    Verze                                                    Repozitář                                              Vel.
===============================================================================================================================================================================================================
Odstraňuje se:
 pino                                             x86_64                                  0.3-0.3.20101112hg.fc15                                  @fedora/15                                            462 k
 qedje-debuginfo                                  x86_64                                  0.4.0-9.fc15                                             @fedora-debuginfo/15                                  5.5 M

Shrnutí transakce
===============================================================================================================================================================================================================
Remove  2 Packages

Nainstalovaná velikost: 6.0 M
V pořádku [a/N]: a
Stahování balíčků:
Spuštěna kontrola transakce
Spuštěn test transakce
Test transakce v pořádku
Transakce spuštěna
  Odstranění : qedje-debuginfo-0.4.0-9.fc15.x86_64                                                                                                                                                         1/2 
  Odstranění : pino-0.3-0.3.20101112hg.fc15.x86_64                                                                                                                                                         2/2 
  Verifying  : qedje-debuginfo-0.4.0-9.fc15.x86_64                                                                                                                                                         1/2 
  Verifying  : pino-0.3-0.3.20101112hg.fc15.x86_64                                                                                                                                                         2/2 

Odstraněno:
  pino.x86_64 0:0.3-0.3.20101112hg.fc15                                                                  qedje-debuginfo.x86_64 0:0.4.0-9.fc15                                                                 

Hotovo!
[root@kvolny ~]# yum remove python-empy-3.3-7.fc15.noarch
Zavedené moduly: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Existující zámek /var/run/yum.pid: jiná kopie běží s pid 10393.
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  25 M RSS (427 MB VSZ)
    Spuštěn: Mon Jun 25 14:52:51 2012 - před 00:09
    Stav   : Spí, pid: 10393
Existující zámek /var/run/yum.pid: jiná kopie běží s pid 10404.
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  25 M RSS (427 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:01 2012 - před 00:01
    Stav   : Spí, pid: 10404
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  25 M RSS (427 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:01 2012 - před 00:03
    Stav   : Spí, pid: 10404
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:01 2012 - před 00:05
    Stav   : Spí, pid: 10404
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:01 2012 - před 00:07
    Stav   : Spí, pid: 10404
Řešení závislostí...
--> Kontrola transakce spuštěna
---> Balíček python-empy.noarch 0:3.3-7.fc15 bude smazán
--> Zpracování závislostí: python-empy pro balíček: bakefile-0.2.8-7.fc17.x86_64
--> Kontrola transakce spuštěna
---> Balíček bakefile.x86_64 0:0.2.8-7.fc17 bude smazán
--> Řešení závislostí dokončeno

Závislosti vyřešeny.

===============================================================================================================================================================================================================
 Package                                            Arch                                          Verze                                                Repozitář                                          Vel.
===============================================================================================================================================================================================================
Odstraňuje se:
 python-empy                                        noarch                                        3.3-7.fc15                                           @fedora/16                                        495 k
Odstranění kvůli závislostem:
 bakefile                                           x86_64                                        0.2.8-7.fc17                                         installed                                         1.1 M

Shrnutí transakce
===============================================================================================================================================================================================================
Remove  1 Package (+1 Dependent package)

Nainstalovaná velikost: 1.6 M
V pořádku [a/N]: a
Stahování balíčků:
Spuštěna kontrola transakce
Spuštěn test transakce
Test transakce v pořádku
Transakce spuštěna
  Odstranění : bakefile-0.2.8-7.fc17.x86_64                                                                                                                                                                1/2 
  Odstranění : python-empy-3.3-7.fc15.noarch                                                                                                                                                               2/2 
  Verifying  : python-empy-3.3-7.fc15.noarch                                                                                                                                                               1/2 
  Verifying  : bakefile-0.2.8-7.fc17.x86_64                                                                                                                                                                2/2 

Odstraněno:
  python-empy.noarch 0:3.3-7.fc15                                                                                                                                                                              

Odstraněné závislosti:
  bakefile.x86_64 0:0.2.8-7.fc17                                                                                                                                                                               

Hotovo!
[root@kvolny ~]# yum search foxtrotgps
Zavedené moduly: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Existující zámek /var/run/yum.pid: jiná kopie běží s pid 10411.
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  25 M RSS (427 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:25 2012 - před 00:04
    Stav   : Spí, pid: 10411
Existující zámek /var/run/yum.pid: jiná kopie běží s pid 10426.
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  25 M RSS (427 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:29 2012 - před 00:02
    Stav   : Spí, pid: 10426
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:29 2012 - před 00:04
    Stav   : Spí, pid: 10426
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:29 2012 - před 00:06
    Stav   : Spí, pid: 10426
Zámek yumu drží jiná aplikace; čeká se na její ukončení...
  Další aplikace je: PackageKit
    Paměť  :  26 M RSS (428 MB VSZ)
    Spuštěn: Mon Jun 25 14:53:29 2012 - před 00:08
    Stav   : Spí, pid: 10426
ftp://mirrors.tummy.com/pub/rpm.livna.org/repo/17/x86_64/repodata/repomd.xml: [Errno 14] FTP Error 550 : ftp://mirrors.tummy.com/pub/rpm.livna.org/repo/17/x86_64/repodata/repomd.xml 
Zkusí se jiné zrcadlo...
http://wftp.tu-chemnitz.de/pub/linux/livna/repo/17/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : http://ftp.tu-chemnitz.de/pub/linux/livna/repo/17/x86_64/repodata/repomd.xml
Zkusí se jiné zrcadlo...
http://rpm.livna.org/repo/17/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 403 - Forbidden : http://rpm.livna.org/repo/17/x86_64/repodata/repomd.xml
Zkusí se jiné zrcadlo...
http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/repo/17/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/repo/17/x86_64/repodata/repomd.xml
Zkusí se jiné zrcadlo...
http://rpm.livna.org/repo/17/x86_64/debug/repodata/repomd.xml: [Errno 14] HTTP Error 403 - Forbidden : http://rpm.livna.org/repo/17/x86_64/debug/repodata/repomd.xml
Zkusí se jiné zrcadlo...
ftp://mirrors.tummy.com/pub/rpm.livna.org/repo/17/x86_64/debug/repodata/repomd.xml: [Errno 14] FTP Error 550 : ftp://mirrors.tummy.com/pub/rpm.livna.org/repo/17/x86_64/debug/repodata/repomd.xml 
Zkusí se jiné zrcadlo...
http://wftp.tu-chemnitz.de/pub/linux/livna/repo/17/x86_64/debug/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : http://ftp.tu-chemnitz.de/pub/linux/livna/repo/17/x86_64/debug/repodata/repomd.xml
Zkusí se jiné zrcadlo...
http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/repo/17/x86_64/debug/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/repo/17/x86_64/debug/repodata/repomd.xml
Zkusí se jiné zrcadlo...
Varování: Žádná shoda pro: foxtrotgps
Nebyla nalezena shoda
Comment 46 Dan Mashal 2012-07-01 15:50:03 EDT
I'm going to go ahead and close this bug. I no longer receive this issue. Please run a yum update if you are experience this and (obviously) wait for PackageKit to release the lock. If it doesn't open a terminal and killall -9 <pid_of_packagekit>
Comment 47 Dan Mashal 2012-07-01 15:51:17 EDT
excuse me use kill command not killall. If you are still experiencing issues, feel free to reopen this bug.
Comment 48 Karel Volný 2012-07-02 07:15:04 EDT
(In reply to comment #46)
> I'm going to go ahead and close this bug.

if switching to "CLOSED ERRATA", could you also provide some link (e.g. via "Fixed In Version" field) to packages including the fix, or, generally, indicate what is the fix?

> I no longer receive this issue.

unfortunately, I do, see comment #45 ... well, maybe I could scratch "for too long" from the subject line as the delays are now below 30 seconds - but still quite long for interactive work

> Please run a yum update if you are experience this and (obviously) wait for
> PackageKit to release the lock. If it doesn't open a terminal and killall -9
> <pid_of_packagekit>

reading bug #812668#c3 I don't think 'kill' solves anything

so let me reopen ...

if no one is going to look into this any further then resolve as WONTFIX, but this surely is not fixed for me
Comment 49 Dan Mashal 2012-07-02 07:38:28 EDT
Karel, 

What version of PackageKit are you running? There have been numerous updates and bug fixes to PackageKit addressing this issue. Please see the changelogs of the following PackageKit updates on Bodhi. I'm currently running PackageKit 0.7.4-4 with yum-3.4.3-28 

I "use yum serveral times a day" as stated in your original bug report.

I have tried the commands that you reported experiencing this issue and I am unable to reproduce them.

> if switching to "CLOSED ERRATA", could you also provide some link (e.g. via
>"Fixed In Version" field) to packages including the fix, or, generally, >indicate > what is the fix?

I indicated the fix, and that was to run "yum update". If PackageKit is locking you out from running yum update kill it.

If this does not work for you open a new bug.

Here, let even me go through the numerous PackageKit updates and bugs for you on Bodhi:

https://admin.fedoraproject.org/updates/FEDORA-2012-7740/PackageKit-0.7.4-2.fc17?_csrf_token=f99e73520ba496ddc3e0149255b5608e896cd0a3

https://admin.fedoraproject.org/updates/FEDORA-2012-6721/PackageKit-0.6.22-2.fc16?_csrf_token=f99e73520ba496ddc3e0149255b5608e896cd0a3

https://admin.fedoraproject.org/updates/FEDORA-2012-5750/PackageKit-0.6.22-1.fc16?_csrf_token=f99e73520ba496ddc3e0149255b5608e896cd0a3

Have you tried what I provided in my previous step? What version of yum and PackageKit are you running?

Thanks,
Dan
Comment 50 Karel Volný 2012-07-02 08:54:27 EDT
(In reply to comment #49)
> What version of PackageKit are you running?

[root@kvolny ~]# rpm -q PackageKit
PackageKit-0.7.4-4.fc17.x86_64
[root@kvolny ~]# rpm -q yum
yum-3.4.3-28.fc17.noarch

it got updated about a month ago:

[root@kvolny ~]# grep PackageKit /var/log/yum.log
...
May 20 19:13:43 Updated: PackageKit-gstreamer-plugin-0.7.4-3.fc17.x86_64
Jun 04 11:03:13 Updated: PackageKit-yum-0.7.4-4.fc17.x86_64
Jun 04 11:03:16 Updated: PackageKit-0.7.4-4.fc17.x86_64
Jun 04 11:03:17 Updated: PackageKit-glib-0.7.4-4.fc17.x86_64
Jun 04 11:03:40 Updated: PackageKit-qt-0.7.4-4.fc17.x86_64
Jun 04 11:06:17 Updated: PackageKit-gstreamer-plugin-0.7.4-4.fc17.x86_64
Jun 04 11:06:18 Updated: PackageKit-yum-plugin-0.7.4-4.fc17.x86_64

- well before the comment #45

> There have been numerous updates and bug fixes to PackageKit addressing this
> issue. Please see the changelogs of the following PackageKit updates on Bodhi.

I've gone through all F17 PK updates since PackageKit-0.7.3-1.fc17, i.e.

https://admin.fedoraproject.org/updates/FEDORA-2012-2800/PackageKit-0.7.3-1.fc17
https://admin.fedoraproject.org/updates/FEDORA-2012-6580/apper-0.7.1-4.fc17,PackageKit-0.7.4-1.fc17
https://admin.fedoraproject.org/updates/FEDORA-2012-7740/PackageKit-0.7.4-2.fc17
https://admin.fedoraproject.org/updates/FEDORA-2012-8115/PackageKit-0.7.4-3.fc17
https://admin.fedoraproject.org/updates/FEDORA-2012-8403/PackageKit-0.7.4-4.fc17
https://admin.fedoraproject.org/updates/FEDORA-2012-9982/PackageKit-0.7.5-1.fc17,apper-0.7.2-2.fc17

I do not see this issue mentioned in any of them

the only thing which seems to me at least remotely related is
bug 752564 - Apper wakes up yumBackend.py every 5 minutes

but looking at that bug closer, it looks completely unrelated

> I "use yum serveral times a day" as stated in your original bug report.
> 
> I have tried the commands that you reported experiencing this issue and I am
> unable to reproduce them.

then we may try to compare our configurations if there is something suspicious which may trigger the problem ...

> > if switching to "CLOSED ERRATA", could you also provide some link (e.g. via
> >"Fixed In Version" field) to packages including the fix, or, generally,
> >indicate what is the fix?
> 
> I indicated the fix, and that was to run "yum update".

I meant a fix in the package, like a link to a VCS commit or so - not a _workaround_ (that even does not work) on an user system

> If PackageKit is locking you out from running yum update kill it.

as stated above, the delays, while still annoying, are now not long enough to open another terminal, grep for the appropriate process id and kill it ... not to mention again bug 812668 comment 3

> If this does not work for you open a new bug.

I fail to see what would be the advantage of creating a new bug instead of just saying that this one is not fixed for me (the reporter, btw)

yes, things got better, which may be explained by comment #10 (no, comment #20 is not my case, I'm running fully updated system, no security updates in the background all the time), but the base issue doesn't seem to be gone

> Have you tried what I provided in my previous step? What version of yum and
> PackageKit are you running?

see above



*****

now I have one suspicion ... have you the refresh-packagekit plug enabled?
- I do ...
Comment 51 Dan Mashal 2012-07-02 08:58:05 EDT
Yes I do.

I also have fastestmirror plugin enabled.


[root@Fedora17 dan]# yum update
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.web-ster.com
 * updates: mirror.web-ster.com
No Packages marked for Update
[root@Fedora17 dan]#
Comment 52 Dan Mashal 2012-07-02 08:59:32 EDT
[root@Fedora17 dan]# yum update
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.web-ster.com
 * updates: fedora.fastsoft.net
No Packages marked for Update
[root@Fedora17 dan]# yum update
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.web-ster.com
 * updates: fedora.fastsoft.net
^[[ANo Packages marked for Update
[root@Fedora17 dan]# yum update
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.web-ster.com
 * updates: mirror.ipnode.info
^[[A
No Packages marked for Update
[root@Fedora17 dan]# yum update
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.web-ster.com
 * updates: mirror.web-ster.com
No Packages marked for Update
[root@Fedora17 dan]# yum update
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.web-ster.com
 * updates: mirror.ipnode.info
No Packages marked for Update
[root@Fedora17 dan]# yum update
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.web-ster.com
 * updates: mirror.web-ster.com
No Packages marked for Update
[root@Fedora17 dan]# yum --disableplugin=fastestmirror update
Loaded plugins: langpacks, presto, refresh-packagekit
No Packages marked for Update
[root@Fedora17 dan]# 


I cannot reproduce the bug anymore no matter how hard I try.
Comment 53 Dan Mashal 2012-07-02 09:01:35 EDT
Only difference I notice is our yum log:


[root@Fedora17 dan]# grep PackageKit /var/log/yum.log
Jun 17 18:34:33 Installed: PackageKit-gtk3-module-0.7.4-4.fc17.x86_64
Jun 17 18:34:36 Installed: PackageKit-command-not-found-0.7.4-4.fc17.x86_64
[root@Fedora17 dan]# rpm -q PackageKit
PackageKit-0.7.4-4.fc17.x86_64
[root@Fedora17 dan]# rpm -q yum
yum-3.4.3-28.fc17.noarch
Comment 54 Karel Volný 2012-07-02 09:35:14 EDT
(In reply to comment #52)
> [root@Fedora17 dan]# yum update
> Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
> Loading mirror speeds from cached hostfile
>  * fedora: mirror.web-ster.com
>  * updates: fedora.fastsoft.net
> No Packages marked for Update
> [root@Fedora17 dan]# yum update
...
> 
> I cannot reproduce the bug anymore no matter how hard I try.

this doesn't seem to be enough as there are no changes to installed packages and repositories metadata


reading the plugin description:

"PackageKit-yum-plugin tells PackageKit to check for updates when yum exits.
This way, if you run 'yum update' and install all available updates, puplet
will almost instantly update itself to reflect this."


I suppose when this happens, and you run another yum command before the triggered update finishes, then you have to wait ... but it doesn't seem to happen always, for some reason

it looks more interesting in connection with the observation from comment #33:

"so it looks like there is some bug trigering repo refreshes more often that it should be refreshed - which may lead to running the backround yum processes more often, thus locking out the user actions" (read the rest of the comment for context)


I believe "fastestmirror" may play a role here as if the speed is good then you just don't notice, but if the refresh takes long enough then you are blocked
Comment 55 Dan Mashal 2012-07-02 09:49:03 EDT
Karel,

Shot in the dark:

Is this an F17 final install? Or a pre final install that was updated?

Can you try maybe a yum clean all (optional) and yum distro-sync or a yum reinstall PackageKit?

I'm guessing here.


Regarding fastestmirror, it is great, and I love it. Makes yum a lot faster and I install it by default. Maybe installing that plugin would help?

There has been a debate as to whether this plugin is really worth installing or not and I do receive 404 mirror errors from time to time but for the most part the pros out weigh the cons.

http://wiki.centos.org/PackageManagement/Yum/FastestMirror
Comment 56 Dan Mashal 2012-07-05 22:45:14 EDT
I just reproduced the bug today on an up to date Fedora 17 machine.

After a fresh boot/login to XFCE: 

[root@Fedora17 dan]# uptime
 19:43:26 up 5 min,  3 users,  load average: 0.76, 0.70, 0.33

[root@Fedora17 dan]# uname -a
Linux Fedora17 3.4.4-3.fc17.x86_64 #1 SMP Tue Jun 26 20:54:56 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[root@Fedora17 dan]# yum install firefox
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Existing lock /var/run/yum.pid: another copy is running as pid 2166.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  29 M RSS (1.5 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:14 ago
    State  : Sleeping, pid: 2166
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  44 M RSS (1.4 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:16 ago
    State  : Sleeping, pid: 2166
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (1.4 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:18 ago
    State  : Running, pid: 2166
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  44 M RSS (1.4 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:20 ago
    State  : Sleeping, pid: 2166
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  44 M RSS (1.4 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:22 ago
    State  : Sleeping, pid: 2166
Loading mirror speeds from cached hostfile
 * fedora: mirror.itc.virginia.edu
 * updates: mirror.itc.virginia.edu
Resolving Dependencies
--> Running transaction check
---> Package firefox.x86_64 0:13.0.1-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch            Version                Repository        Size
================================================================================
Installing:
 firefox          x86_64          13.0.1-1.fc17          updates           21 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 21 M
Installed size: 25 M
Is this ok [y/N]: 

[root@Fedora17 dan]# yum install firefox
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Existing lock /var/run/yum.pid: another copy is running as pid 2166.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  29 M RSS (1.5 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:14 ago
    State  : Sleeping, pid: 2166
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  44 M RSS (1.4 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:16 ago
    State  : Sleeping, pid: 2166
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  47 M RSS (1.4 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:18 ago
    State  : Running, pid: 2166
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  44 M RSS (1.4 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:20 ago
    State  : Sleeping, pid: 2166
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  44 M RSS (1.4 GB VSZ)
    Started: Thu Jul  5 19:41:09 2012 - 00:22 ago
    State  : Sleeping, pid: 2166
Loading mirror speeds from cached hostfile
 * fedora: mirror.itc.virginia.edu
 * updates: mirror.itc.virginia.edu
Resolving Dependencies
--> Running transaction check
---> Package firefox.x86_64 0:13.0.1-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch            Version                Repository        Size
================================================================================
Installing:
 firefox          x86_64          13.0.1-1.fc17          updates           21 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 21 M
Installed size: 25 M
Is this ok [y/N]: 



So it is either on boot that PK is checking for updates to alert you about in your DE or something else. Anyways, I'm labeling this as a common bug, it's still not fixed.
Comment 57 Adam Williamson 2012-07-05 23:05:28 EDT
For the tenth time, that's _not a bug_. It locked you out for 22 seconds. 22 seconds for PackageKit to do something in the background is not at all unreasonable. PackageKit does do stuff automatically, it is intended to, and that isn't going to stop.
Comment 58 Dan Mashal 2012-07-06 00:42:59 EDT
Adam, 

So is this a closed, wontfix?

I'm not the only one raising the issue here. I tried to close this bug and it was reopened please see comments from Karel.

Thanks,
Dan
Comment 59 Adam Williamson 2012-07-11 15:52:19 EDT
Karel and Dan both seem to be seeing normal, sub-1 minute lockouts. Again, this is expected behaviour - PackageKit at default config periodically checks for updates, and while it's doing so, yum will be locked out, that's entirely how it's designed to work. It's only a bug if this is happening really frequently, or the lockout lasts much longer than it ought to. So, closing again for now.
Comment 60 Nilan Patel 2012-09-26 11:06:08 EDT
Hi,

I was continually getting 

[root@desktop8 ~]# yum clean all
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
Existing lock /var/run/yum.pid: another copy is running as pid 14325.
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...

even after killing the process I was left with

root     14325  0.0  0.0      0     0 ?        Z    Sep24   0:01 [yumBackend.py] <defunct>

In the end to resolve this as I couldnt use yum (this has been going on for atleast 15mins) I tried 

# rm /var/run/yum.pid

Hope this helps
Comment 61 Adam Williamson 2012-09-26 13:23:34 EDT
That's not this bug. The thing blocking your yum process is another yum process you have running in another terminal somewhere. You _might_ be seeing the same thing I'm seeing in https://bugzilla.redhat.com/show_bug.cgi?id=860500 , I guess.
Comment 62 Gary Funck 2013-01-05 13:49:36 EST
Although this bug report has been closed as WORKSFORME, it doesn't work for me, so I'm providing the following additional information.

Background: new clean install of FC17.  Many additional packages installed without issue.  Updated a couple of times.  Rebooted a few times.  No issues.

Auto-updates are enabled.

All yum commands (in this example) run as root.

At the moment, the yum lock is being held for a very long time, so that even read-only query operations fail.

# yum info gcc
Existing lock /var/run/yum.pid: another copy is running as pid 16367.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: PackageKit
    Memory :  27 M RSS (507 MB VSZ)
    Started: Sat Jan  5 09:19:07 2013 - 1:05:53 ago
    State  : Sleeping, pid: 16367

That's over an hour that the lock has been held.  Quite a long time.

Here is what the process is doing.

# ps -w -f 16367
UID        PID  PPID  C STIME TTY      STAT   TIME CMD
root     16367 16202  0 09:19 ?        Sl     0:00 /usr/bin/python /usr/share/PackageKit/helpers/yum/yumBackend.py search-file ~inst
# ps -w -f 16202
UID        PID  PPID  C STIME TTY      STAT   TIME CMD
root     16202     1  0 09:18 ?        Sl     0:02 /usr/libexec/packagekitd

It doesn't look like pid 16367 is making much progress.

Here is a little more info. on pid 16367.

# ps -wfl 16367
F S UID        PID  PPID  C PRI  NI ADDR SZ WCHAN  STIME TTY        TIME CMD
4 S root     16367 16202  0  80   0 - 129667 futex_ 09:19 ?         0:00 /usr/bin/python /usr/share/PackageKit/helpers/yum/yumBacken

I have saved the /proc/16367 hierarchy and 'lsof -p 16367' output, and can attach that info to this bug report if needed.

I will probably try killing pid 16367 just to see if it unsticks things, but based on other comments, that seems unlikely to help.
Comment 63 Gary Funck 2013-01-05 13:53:39 EST
Actually, killing the waiting pid 16367 did let me run additional yum commands after that.
Comment 64 Mads Kiilerich 2013-01-06 10:34:24 EST
(In reply to comment #62)
> Although this bug report has been closed as WORKSFORME, it doesn't work for
> me, so I'm providing the following additional information.

Having fixed one problem doesn't prevent other problems with similar symptoms.

In your case the problem seems to be that search-file was hanging.

Please file a new bug report if you can reproduce the problem.
Comment 65 Dominique Brazziel 2013-01-06 18:42:14 EST
I have a cron.daily job that runs 'yum check-update' and mails the results to my main machine and it routinely hangs for anywhere from 10 minutes to hours because packagekit(d) has the yum lock.  This morning it was three hours.  

The Fedora machine sleeps most of the time, is awakened at the same time every day (via wakeonlan) and then anacron does it's thing, which includes the aforementioned 'cron.daily' job.  I think the thing kicking off the packagekit activity is '/usr/lib/pm-utils/sleep.d/95packagekit/95packagekit', which gets
run right after thaw or resume, and whose purpose is to
"# get PackageKit to invalidate its caches and get new updates".  I never use
packagekit for updating software, I use yum command line.

I had gpk set to check daily for updates and install security updates only but
the lock problem got so bad I set everything to never/nothing.
Comment 66 Mikuláš Patočka 2014-04-24 14:28:18 EDT
I've hit the same problem on RHEL6 right now.

yum upgrade waited for 5 to 10 minutes to obtain the lock.

Note You need to log in before you can comment on or make changes to this bug.